const { gql } = require('apollo-server-express');

module.exports = gql`

    type Contact {
        id: ID!
        nomComplet: String!
        phoneNumber: String!
        email: String
        adresse: String
        medecinTraitant: Boolean
        medecinReferent: Boolean
        correspodant: Boolean
        lienFamiliaux: Boolean
        patient: Patient!
        createdAt: DateTime
        updatedAt: DateTime
        deleteAt: DateTime
    }

    extend type Query {
        findAllContact: [patientId!]: Contact
    }

    extend type Mutation {
        createAntecedent(key: String!, value: String!, patientId: String!, createdBy: String!): Contact!
    }

`;